package cn.iocoder.yudao.module.system.enums.robot.task;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RobotTaskStageEnum {
    UN_START(0L,"待执行"),
    GO_TAKE(1L,"前往取货"),
    TAKEING(2L,"取货中"),
    GO_RELEASE(3L,"前往放货"),
    RELEASEING(4L,"放货中"),
    DONE(5L,"结束"),
    MOVE(6L,"移动中"),
    CHARGEING(7L,"待执行正在充电"),
    CLOSE(8L,"任务已取消"),
    MANUALLY_COMPLETED(9L,"人工完成"),
    EXCEPTION(10L,"异常"),
    TAKEING_EXCEPTION(11L,"取货异常"),
    RELEASEING_EXCEPTION(12L,"放货异常");
    /**
     * 类型
     */
    private final Long type;
    private final String msg;
}
